#
# sgtone.rb
#
# $Id: sgtone.rb,v 1.1 2000/11/21 03:15:36 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


np = 5
nt = 6
dd = 0.13
ds = 0.005
dx = dd+ds*2
dy = 1.0 / nt


#-- data ---
xbox = NArray[0.0, 1.0, 1.0, 0.0, 0.0]
ybox = NArray[0.0, 0.0, 1.0, 1.0, 0.0]

#-- graph ---
iw = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
#ifn = (puts ' SOFT FILL=1/HARD FILL=2 (I) ? ;'; gets).to_i
ifn=1
n = (puts ' TONE PATTERN (0-6) (I) ? ;'; gets).to_i

gliset('MAXMSG', 300)
sgopn iw

if (ifn == 1)
  sglset('LSOFTF', true)
else
  sglset('LSOFTF', false)
end

sglset('LFULL', true)
sgiset('INDEX', 3)

slrat(0.85, 1.0)
slmgn(0.0, 0.0, 0.05, 0.1)

cttl = format("TONE PATTERN = %1dXX", n)
slsttl(cttl, 'T', 0.0, -0.5, 0.03, 1)

sgfrm
sgswnd(0.0, 1.0, 0.0, 1.0)
sgstrn(1)
for j in 0..5
  for i in 0..5
    x1=dx*i+ds+(1-dx*nt)/2
    x2=x1+dd
    y1=dy*(5-j)+ds
    y2=y1+dd
    level=i+j*10+n*100
    sgsvpt(x1, x2, y1, y2)
    sgstrf
    chr = format("%5d", level)
    sgtnzu(np, xbox, ybox, level)
    sgplzu(np, xbox, ybox, 1, 1)
    sgtxzv(x2, y2+(dy-dd)/2, chr, 0.015, 0, 1, 3)
  end
end

sgcls

